Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class MultirowReport1

    java.lang.Object
      com.sun.mdm.index.report.Report
          com.sun.mdm.index.report.MultirowReport1

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeactivateReport, MultirowReport2

public abstract class MultirowReport1
extends Report

Base class for reports that contain one object image

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.Report
`mConfig`

Constructor Summary
`MultirowReport1(MultirowReportConfig1 config)` Creates a new instance of MultirowReport1.

Method Summary
`void` | `addRow(ReportRow reportRow)` Adds a row.
`void` | `clear()` Clears the old set of records from mRows ArrayList.
`ReportRow` | `getNextRow()` Gets the next row.
`boolean` | `hasMore()` Checks if there are more records in the result set.
`boolean` | `hasNext()` Checks if there is another row.
`void` | `outputDelimitedTextHeader(java.io.PrintStream pstream)` Output the header to the output stream.
`void` | `outputDelimitedTextRow(java.io.PrintStream pstream, MultirowReportObject1 reportRow)` Appends text representation of object node to the stream.
`void` | `setNoMore()` Sets the moreRec flag to false when no records available in result set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultirowReport1

    public MultirowReport1(MultirowReportConfig1 config)

  Creates a new instance of MultirowReport1.

  Parameters:
    `config` - Report configuration.

Method Detail

### addRow

    public void addRow(ReportRow reportRow)

  Adds a row.

  Parameters:
    `reportRow` - The row that is to be added.

### clear

    public void clear()

  Clears the old set of records from mRows ArrayList.

### getNextRow

    public ReportRow getNextRow()

  Gets the next row.

  Returns:
    The next row.

### hasMore

    public boolean hasMore()

  Checks if there are more records in the result set.

  Returns:
    True if there are more rows, false otherwise.

### hasNext

    public boolean hasNext()

  Checks if there is another row.

  Returns:
    True if there is another row, false otherwise.

### outputDelimitedTextHeader

    public void outputDelimitedTextHeader(java.io.PrintStream pstream)
                                   throws java.lang.Exception

  Output the header to the output stream. Header partly made up of hard coded name fields and those specified in config file.

  Parameters:
    `pstream` - Print stream for output.
  Throws:
    `java.lang.Exception` - if an error occurs.

### outputDelimitedTextRow

    public void outputDelimitedTextRow(java.io.PrintStream pstream,
                                       MultirowReportObject1 reportRow)
                                throws java.lang.Exception

  Appends text representation of object node to the stream. Allows client for example to save contents to disk.

  Parameters:
    `pstream` - Print stream for output.
    `reportRow` - Report row to output.
  Throws:
    `java.lang.Exception` - if an error occurs.

### setNoMore

    public void setNoMore()

  Sets the moreRec flag to false when no records available in result set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.